%define pkg_name        IO-BufferedSelect
%define pkg_version     1.0
%define rpm_pkg_version 1.0
%define rpm_pkg_release 1.n0i.1

Summary:       Line-buffered select interface
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AF/AFN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
The purpose of this module is to implement a buffered version of the "select"
interface that operates on "lines", rather than characters. 
Given a set of filehandles, it will block until a full line is available
on one or more of them.


%prep
%setup -q -n %{pkg_name}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Mon Jun 11 2007 Marius Feraru <altblue@n0i.net> - 1.0-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 1.0
